Bug 114058 - RPM Segmentation fault
Summary: RPM Segmentation fault
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 23:59 UTC by Dennis Chandler
Modified: 2007-04-18 17:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 13:19:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Chandler 2004-01-21 23:59:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Upgrading the gcc compiler and libraries on RedHat 7.2 (kernel 2.4.20-
28-7smp) breaks rpm, rpm now segfaults when you do a rpm -ivh .... 

Upgrades done:
          From            To
gcc       2.96            3.2.3
bintils   2.11.90.0.8-12  2.13.2
glibc     2.2.4-13        2.3.2

I know this isn't a bug, but how do I get rpm working again?
Any help would appreciated. 

dchandler@xiran.com



Version-Release number of selected component (if applicable):
rpm version 4.04

How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh <any-rpm>
2.
3.
    

Actual Results:  rpm -ivh ganglia-monitor-core-2.5.0-1.i386.rpm
Preparing...                
########################################### [100%]
Segmentation fault


Additional info:

Comment 1 Jeff Johnson 2004-01-26 03:29:26 UTC
A --rebuilddb with rpm-4.1.1 or later will probably fix.

Try installing that version (from ftp.rpm.org) using rpm2cpio.

Does that fix?

Comment 2 Dennis Chandler 2004-01-27 00:16:54 UTC
Worked great.  Thank you very much.


Note You need to log in before you can comment on or make changes to this bug.